package precomputed_permissive

import (
	"fmt"
	"lab.zaar.be/thefish/alchemyst-go/engine/fov/precomputed_shade"
	"lab.zaar.be/thefish/alchemyst-go/engine/types"
	"testing"
)

func TestDistance(t *testing.T) {
	iterCoords := types.Coords{0,0}
	fmt.Printf("\n dto: \t %v", iterCoords.DistanceTo(types.Coords{0,1}))
	fmt.Printf("\n dto: \t %v", iterCoords.DistanceTo(types.Coords{0,5}))
	fmt.Printf("\n dto: \t %v", iterCoords.DistanceTo(types.Coords{3,3}))
	fmt.Printf("\n dto: \t %v", iterCoords.DistanceTo(types.Coords{100,0}))
}

func TestPrecomp(t *testing.T) {
	ppFov := precomputed_shade.NewPrecomputedShade(20)
	_ = ppFov
	t.Log("ok")
}